<?php

namespace App\Entities\Formulario;

use App\Utils\Entity;

class Formulario extends Entity {
	protected $id;
	protected $titulo;
	protected $id_medico;
	protected $alterado_por;
	protected $criado_em;
	protected $criado_por;
	protected $alterado_em;
	protected $descricao;
	protected $ativo;

	public static function builder(): FormularioBuilder {

		return new FormularioBuilder();

	}

	public function getId(): int {

		return $this->id;

	}

	public function getTitulo(): string {

		return $this->titulo;

	}

	public function getIdMedico() {

		return $this->id_medico;

	}

	public function getAlteradoPor(): ?int {

		return $this->alterado_por;

	}

	public function getCriadoEm(): ?string {

		return $this->criado_em;

	}

	public function getCriadoPor(): ?int {

		return $this->criado_por;

	}

	public function getAlteradoEm(): ?string {

		return $this->alterado_em;

	}

	public function getDescricao(): string {

		return $this->descricao;

	}

	public function setId(int $id): void {

		$this->id = $id;

	}

	public function setTitulo(string $titulo): void {

		$this->titulo = $titulo;

	}

	public function setIdMedico($id_medico): void {

		$this->id_medico = $id_medico;

	}

	public function setAlteradoPor(?int $alterado_por): void {

		$this->alterado_por = $alterado_por;

	}

	public function setCriadoEm(?string $criado_em): void {

		$this->criado_em = $criado_em;

	}

	public function setCriadoPor(?int $criado_por): void {

		$this->criado_por = $criado_por;

	}

	public function setAlteradoEm(?string $alterado_em): void {

		$this->alterado_em = $alterado_em;

	}

	public function setDescricao(string $descricao): void {

		$this->descricao = $descricao;

	}

	public function getAtivo(): int {

		return $this->ativo;

	}

	public function setAtivo(int $ativo): void {

		$this->ativo = $ativo;

	}

}